summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlejandro Gallo <aamsgallo@gmail.com>2017-09-16 13:25:08 +0200
committerAlejandro Gallo <aamsgallo@gmail.com>2017-09-16 13:25:08 +0200
commit6094e496496a4eeabb557f50168f82fb037aa4b5 (patch)
treeb2ed5b64c7eaaa6fc937f2ce80f3b25d343f20f8
parent465f554ce3a4688ed24004a53c5db3688555a17e (diff)
Add example papis-mail scriptv0.1.5
-rwxr-xr-xexamples/scripts/papis-mail27
-rwxr-xr-xexamples/scripts/papis-scihub1
-rwxr-xr-xexamples/scripts/papis-zotero1
-rw-r--r--papis/__init__.py2
4 files changed, 30 insertions, 1 deletions
diff --git a/examples/scripts/papis-mail b/examples/scripts/papis-mail
new file mode 100755
index 00000000..e7725599
--- /dev/null
+++ b/examples/scripts/papis-mail
@@ -0,0 +1,27 @@
+#! /usr/bin/env bash
+# papis-short-help: Email a paper to my friend
+# Copyright © 2017 Alejandro Gallo. GPLv3
+
+if [[ $1 = "-h" ]]; then
+ echo "Email a paper to my friend"
+ cat <<EOF
+Usage: papis output_folder
+EOF
+ exit 0
+fi
+
+folder_name=$1
+zip_name="${folder_name}.zip"
+mail_agent=mutt
+
+papis -l ${PAPIS_LIB} export --folder --out ${folder_name}
+if [[ ! -f ${folder_name} ]]; then
+ echo "${folder_name} not created, exiting..."
+ exit 1
+fi
+echo "Ziping folder (${folder_name} => ${zip_name})"
+zip -r ${zip_name} ${folder_name}
+
+${mail_agent} -a ${zip_name}
+
+
diff --git a/examples/scripts/papis-scihub b/examples/scripts/papis-scihub
index 3675f8a2..77922dc3 100755
--- a/examples/scripts/papis-scihub
+++ b/examples/scripts/papis-scihub
@@ -1,5 +1,6 @@
#! /usr/bin/env bash
# papis-short-help: Get pdf and bibtex from doi identificator
+# Copyright © 2017 Alejandro Gallo. GPLv3
cat <<EOF
WARNING NOTICE:
diff --git a/examples/scripts/papis-zotero b/examples/scripts/papis-zotero
index ecf6b6b3..88cd4d76 100755
--- a/examples/scripts/papis-zotero
+++ b/examples/scripts/papis-zotero
@@ -1,6 +1,7 @@
#! /usr/bin/env python3
# -*- coding: utf-8 -*-
# papis-short-help: Convert zotero library to papis library
+# Copyright © 2017 Alejandro Gallo. GPLv3
import tempfile
import sys
import os
diff --git a/papis/__init__.py b/papis/__init__.py
index 83f668e7..48011f8e 100644
--- a/papis/__init__.py
+++ b/papis/__init__.py
@@ -1,7 +1,7 @@
# Information
__license__ = 'GPL3'
-__version__ = '0.1.4'
+__version__ = '0.1.5'
__author__ = __maintainer__ = 'Alejandro Gallo'
__email__ = 'aamsgallo@gmail.com'